summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-06-13 18:58:31 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-06-13 18:59:51 +0300
commit3bee4bb86c0d8c6722d6bb994b5ee9a747285ea8 (patch)
tree418a02e36d84ecaa12017aec2697c52770a6eb17 /dev-tex/pgf
parentnet-p2p/cpuminer-opt: 3.9.2.5 version bump (diff)
downloadgentoo-3bee4bb86c0d8c6722d6bb994b5ee9a747285ea8.tar.gz
gentoo-3bee4bb86c0d8c6722d6bb994b5ee9a747285ea8.tar.bz2
gentoo-3bee4bb86c0d8c6722d6bb994b5ee9a747285ea8.zip
dev-tex/pgf: Version bump (v3.1)
Closes: https://bugs.gentoo.org/687874 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11
Diffstat (limited to 'dev-tex/pgf')
-rw-r--r--dev-tex/pgf/Manifest1
-rw-r--r--dev-tex/pgf/pgf-3.1.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-tex/pgf/Manifest b/dev-tex/pgf/Manifest
index e34d6cb6dbf..13d18a7ef42 100644
--- a/dev-tex/pgf/Manifest
+++ b/dev-tex/pgf/Manifest
@@ -1 +1,2 @@
DIST pgf_3.0.1.tds.zip 10423731 BLAKE2B ca1513213f47279f7cb67cd6459e01082c6693c0da97e873205f2ed5dad1d3e83ccd036d6b56c245d334a4c9eff44bb81cd673962def80f075b56e6b7e0b7477 SHA512 0899e0fbd6d196504c5d15176015557d38e027429a84de661a5627fa003bfeffdb3f013df23c298b32c3a5605388160f42621e92d626e3ce88561fe4b4b7bddf
+DIST pgf_3.1.tds.zip 12852844 BLAKE2B 5214bc0a8dd4ee521023be245602c8fecff4f7ef5a37abba060c507355351621863aaa4b16de10383e900ed8eccc26e95f77b291f352c7ad36738451102675da SHA512 c8a0ae2ddb4769e640c487968c6f3e18b778c5eb24fe40d38a85936ce45597db7e90281571b56a92619f2e2ec7cb17019f31deaa8f93fddb2b7adf87e84b555c
diff --git a/dev-tex/pgf/pgf-3.1.ebuild b/dev-tex/pgf/pgf-3.1.ebuild
new file mode 100644
index 00000000000..07a239a76b8
--- /dev/null
+++ b/dev-tex/pgf/pgf-3.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit latex-package
+
+DESCRIPTION="The TeX Portable Graphic Format"
+HOMEPAGE="https://sourceforge.net/projects/pgf"
+SRC_URI="mirror://sourceforge/pgf/${PN}_${PV}.tds.zip"
+
+LICENSE="GPL-2 LPPL-1.3c FDL-1.2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc source"
+
+RDEPEND="dev-texlive/texlive-latexrecommended
+ >=dev-tex/xcolor-2.11"
+BDEPEND="app-arch/unzip"
+
+S=${WORKDIR}
+
+src_install() {
+ # Bug #607642
+ cp "${FILESDIR}/pgfsys-luatex.def" "${WORKDIR}/tex/generic/pgf/systemlayer/" || die
+
+ insinto ${TEXMF}
+ doins -r tex
+
+ if use source ; then
+ doins -r source
+ fi
+
+ cd "${S}/doc/generic/pgf" || die
+ dodoc AUTHORS ChangeLog README
+ if use doc ; then
+ insinto /usr/share/doc/${PF}/texdoc
+ doins pgfmanual.pdf
+ doins -r images macros text-en version-*
+ dosym /usr/share/doc/${PF}/texdoc ${TEXMF}/doc/latex/${PN}
+ docompress -x /usr/share/doc/${PF}/texdoc/
+ fi
+}